#!/usr/bin/env bash
g++ -O3 dominators.cpp -o dominators
g++ -O3 dominators-means.cpp -o dominators-means
g++ -O3 balance.cpp -o balance
datasize=`cat ../expf/simulation_tail.log.* | wc -l`
echo "Found data about $datasize runs. Balancing..."
cat ../expf/simulation_tail.log.* | gawk '{ print $2" "$4" "$6" "$8 }' | sort -nk2,1 | ./balance > dataF.dat
datasize=`cat dataF.dat | wc -l`
echo "Trimmed the data to $datasize measurements"

echo "Now play with ANOVA: anovaF.R"
R --quiet --no-save < anovaF.R
echo "When there is enough data, then resume from here"

echo "Generating the scatter plot of all data, just for curiousity"
cat dataF.dat | gawk '{ print $1" "$2" "$3" "$4 }' | sort -nk 3 | ./dominators > pareto.dat
gnuplot paretoF.plot

echo "Compute the means for each configuration"
R --quiet --no-save < meansF.R
cat means.dat | ./dominators-means > means-pareto.dat
sort -nk3 means-pareto.dat > means-pareto-by-d.dat
sort -nk4 means-pareto.dat > means-pareto-by-e.dat 
gnuplot meansF.plot


sort -nk1,2 means.dat > means-o.dat
echo "add line breaks in means-o.dat file"
emacs means-o.dat

sort -nk1,2 means-pareto.dat > means-pareto-o.dat
echo "add line breaks in means-pareto-o.dat file"
emacs means-pareto-o.dat
gnuplot grid-discomfort.plot
gnuplot grid-energy.plot

R -q --no-save paretoF.R
