### Analyze the linear model of means in 3D:
library(scatterplot3d)
postscript(file="discomfort-fit.eps", horizontal=F, paper="special", width=6, height=4)
# plot means:
s3d <- with(meandata, scatterplot3d(Ton, Tget, discomfort, highlight.3d=TRUE, pch=20))
# plot linear model plane:
lmodel <- with(meandata, lm(discomfort ~ Ton + Tget))
s3d$plane3d(lmodel, lty="dotted")
# plot the deviation columns from linear model:
orig <- with(meandata, s3d$xyz.convert(Ton, Tget, discomfort))
plane <- with(meandata, s3d$xyz.convert(Ton, Tget, fitted(lmodel)))
i.negpos <- 1+(resid(lmodel)>0)
segments(orig$x, orig$y, plane$x, plane$y, col=c("blue","red")[i.negpos],lty=(2:1)[i.negpos])
dev.off();

postscript(file="energy-fit.eps", horizontal=F, paper="special", width=6, height=4)
# plot means:
s3d <- with(meandata, scatterplot3d(Ton, Tget, energy, highlight.3d=TRUE, pch=20))
# plot linear model plane:
lmodel <- with(meandata, lm(energy ~ Ton + Tget))
s3d$plane3d(lmodel, lty="dotted")
# plot the deviation columns from linear model:
orig <- with(meandata, s3d$xyz.convert(Ton, Tget, energy))
plane <- with(meandata, s3d$xyz.convert(Ton, Tget, fitted(lmodel)))
i.negpos <- 1+(resid(lmodel)>0)
segments(orig$x, orig$y, plane$x, plane$y, col=c("blue","red")[i.negpos],lty=(2:1)[i.negpos])
dev.off();


postscript(file="discomfort-fit-s.eps", horizontal=F, paper="special", width=5, height=4.5)
# plot means:
s3d <- with(meandata, scatterplot3d(Ton, Tget, discomfort, highlight.3d=TRUE, pch=20, ylab="", zlab=""))
# plot linear model plane:
lmodel <- with(meandata, lm(discomfort ~ Ton + Tget))
s3d$plane3d(lmodel, lty="dotted")
# plot the deviation columns from linear model:
orig <- with(meandata, s3d$xyz.convert(Ton, Tget, discomfort))
plane <- with(meandata, s3d$xyz.convert(Ton, Tget, fitted(lmodel)))
i.negpos <- 1+(resid(lmodel)>0)
segments(orig$x, orig$y, plane$x, plane$y, col=c("blue","red")[i.negpos],lty=(2:1)[i.negpos])
dev.off();

postscript(file="energy-fit-s.eps", horizontal=F, paper="special", width=5, height=4.5)
# plot means:
s3d <- with(meandata, scatterplot3d(Ton, Tget, energy, highlight.3d=TRUE, pch=20, ylab="", zlab=""))
# plot linear model plane:
lmodel <- with(meandata, lm(energy ~ Ton + Tget))
s3d$plane3d(lmodel, lty="dotted")
# plot the deviation columns from linear model:
orig <- with(meandata, s3d$xyz.convert(Ton, Tget, energy))
plane <- with(meandata, s3d$xyz.convert(Ton, Tget, fitted(lmodel)))
i.negpos <- 1+(resid(lmodel)>0)
segments(orig$x, orig$y, plane$x, plane$y, col=c("blue","red")[i.negpos],lty=(2:1)[i.negpos])
dev.off();

