rawdata<-read.table("data3M.dat", col.names=c("Ton", "Tget", "herring", "discomfort", "energy"))

raw <- data.frame(Ton=rawdata$Ton, Tget=rawdata$Tget, herring=rawdata$herring, discomfort=rawdata$discomfort, energy=rawdata$energy)

stderr <- function(x) sqrt(var(x)/length(x))

small <- head(raw,49*7*2)

meandata <- expand.grid(Ton=unique(sort(small$Ton)), Tget=unique(sort(small$Tget)))
meandata$discomfort <- aggregate(discomfort~Ton*Tget, data=small, FUN="mean")$discomfort
meandata$energy <- aggregate(energy~Ton*Tget, data=small, FUN="mean")$energy
meandata$discomfort_err <- aggregate(discomfort~Ton*Tget, data=small, FUN=stderr)$discomfort
meandata$energy_err <- aggregate(energy~Ton*Tget, data=small, FUN=stderr)$energy

write.table(meandata, file="means.dat", quote=FALSE, sep=" ", col.names=F, row.names=F)


