source("loaddata.R")

# limit the data:
small <- head(raw, 49*64)

meandata <- expand.grid(Ton=unique(sort(small$Ton)), Tget=unique(sort(small$Tget)))
meandata$discomfort <- aggregate(discomfort~Ton*Tget, data=small, FUN="mean")$discomfort
meandata$energy <- aggregate(energy~Ton*Tget, data=small, FUN="mean")$energy
meandata$discomfort_err <- aggregate(discomfort~Ton*Tget, data=small, FUN=stderr)$discomfort
meandata$energy_err <- aggregate(energy~Ton*Tget, data=small, FUN=stderr)$energy

write.table(meandata, file="means.dat", quote=FALSE, sep=" ", col.names=F, row.names=F)
